diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 4e9de95..cfdb92f 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -45866,7 +45866,7 @@ InnerAlgebraicNumber(): Exports == Implementation where
           zz:=reductum zz
        [z,1]
     makeUnivariate(p:P,k:Kernel %):SUP % ==
-      map(#1::%,univariate(p,k))$SparseUnivariatePolynomialFunctions2(P,%)
+      map(x+->x::%,univariate(p,k))$SparseUnivariatePolynomialFunctions2(P,%)
     -- public
     a,b:%
     differentiate(x:%):% == 0
@@ -45911,10 +45911,10 @@ InnerAlgebraicNumber(): Exports == Implementation where
            z:=norm(z,k)
        z
     norm(z:SUP %,k:Kernel %):SUP % ==
-       p:=map(#1::SUP %,minPoly k)_
+       p:=map(x +-> x::SUP %,minPoly k)_
          $SparseUnivariatePolynomialFunctions2(%,SUP %)
        f:=findDenominator z
-       zz:=map(makeUnivariate(numer #1,k),f.num)_
+       zz:=map(x +-> makeUnivariate(numer x,k),f.num)_
          $SparseUnivariatePolynomialFunctions2( %,SUP %)
        zz:=swap(zz)$CommuteUnivariatePolynomialCategory(%,SUP %,SUP SUP %)
        resultant(p,zz)/norm(f.den,k)
@@ -45925,15 +45925,15 @@ InnerAlgebraicNumber(): Exports == Implementation where
     belong? op           == belong?(op)$ExpressionSpace_&(%) or has?(op, ALGOP)
 
     convert(x:%):Float ==
-      retract map(#1::Float, x pretend FE)$ExpressionFunctions2(Z,Float)
+      retract map(y +-> y::Float, x pretend FE)$ExpressionFunctions2(Z,Float)
 
     convert(x:%):DoubleFloat ==
-      retract map(#1::DoubleFloat,
-                  x pretend FE)$ExpressionFunctions2(Z, DoubleFloat)
+      retract map(y +-> y::DoubleFloat,x pretend FE)_
+        $ExpressionFunctions2(Z, DoubleFloat)
 
     convert(x:%):Complex(Float) ==
-      retract map(#1::Complex(Float),
-                  x pretend FE)$ExpressionFunctions2(Z, Complex Float)
+      retract map(y +-> y::Complex(Float),x pretend FE)_
+        $ExpressionFunctions2(Z, Complex Float)
 
 @
 <<IAN.dotabb>>=
diff --git a/changelog b/changelog
index 765b097..7a64b03 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090512 tpd src/axiom-website/patches.html 20090512.02.tpd.patch
+20090512 tpd books/bookvol10.3 IAN +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.01.tpd.patch
 20090512 tpd books/bookvol10.3 GOPT +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.19.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bcf11a0..15b0c61 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1254,5 +1254,7 @@ bookvol10.3 GSERIES +-> conversion<br/>
 bookvol10.4 CDEN +-> conversion<br/>
 <a href="patches/20090512.01.tpd.patch">20090512.01.tpd.patch</a>
 bookvol10.3 GOPT +-> conversion<br/>
+<a href="patches/20090512.02.tpd.patch">20090512.02.tpd.patch</a>
+bookvol10.3 IAN +-> conversion<br/>
  </body>
 </html>
